#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-xRMyuIhYNdLt9tUVvrYVI
key:                  ghcide-1.10.0.0-xRMyuIhYNdLt9tUVvrYVI
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  6070f30056257943aa0ec6d0014243e9
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-xRMyuIhYNdLt9tUVvrYVI
depends:
    Diff-0.4.1-9CeMTRzuewo1YtLNESf0eZ
    Glob-0.10.2-36wAMEnTApB6nhUefZIorl
    aeson-2.1.2.1-8ueLuG1qYj9Fbt4mgkSEM3
    aeson-pretty-0.8.10-JsgAmdnqgLWA0FLX94mGl4 array-0.5.4.0
    async-2.2.5-2fFQNeGTnza76ySWZ6URG8 base-4.16.4.0
    base16-bytestring-1.0.2.0-F7DNzPbEN6Eq9b4oXyVmw binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-Aj5W6XdiqgfFLTrW9uNwGR
    co-log-core-0.3.2.2-FNqZgQEOT7WGenWROsZAeq containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-DBk6CxRjb0W30wjIGWFVrD
    data-default-0.7.1.1-KHhiQ7RPZneCNDFTFmFAYS deepseq-1.4.6.1
    dependent-map-0.4.0.0-2henC7avk6XISDCsEHHFt5
    dependent-sum-0.7.2.0-EiJil7tYq3qBAlWiPgcwz2 directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-ABW7v9DWgBs6rBr67d0UZm exceptions-0.10.4
    extra-1.7.16-2OWnlthH2TsF9fB7O5eM7s filepath-1.4.2.2
    fingertree-0.1.5.0-B2tyXWeEQFmHKF2M8cQ7eC
    focus-1.0.3.2-L0GJAyjbycODXokBNjPSwy ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-EVcwSHlKJhnEBE6HBuDewx
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.8-AXrbrbo7fa5AubaYk3VnX7
    haddock-library-1.11.0-D8Trm1ULYjQEkepXxhUpUy
    hashable-1.4.4.0-JPPoH0HitSIaCdulNsJk5
    hie-bios-0.12.0-LLEBiecgr1v9DZQ1RsvEwd
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-CpiAb7OdR7948wHO6S2YJO
    hls-graph-1.9.0.0-Lwgwofzg0B6HWSnkhmcemQ
    hls-plugin-api-1.6.0.0-7ijNnA38vL38jcbKaEgbUq
    implicit-hie-0.1.2.7-5nWMIAaa6hwBcwfVzGf9OP
    implicit-hie-cradle-0.5.0.1-2TQo8dY3IdTLJY2axZ6y9n
    lens-5.2.3-IfVI0lYg8YCKwUpCShTCzd
    list-t-1.0.5.5-3pzg22BwYsd7GIipR0gzmA
    lsp-1.6.0.0-4TAPRWoy3o03UX5PTQlAAE
    lsp-types-1.6.0.0-Kx2VOw0e4s2JoAETKIpNUw mtl-2.2.2
    opentelemetry-0.8.0-LWScBb7uEad90Z56oHOeGn
    optparse-applicative-0.17.1.0-9khgHWGrH2w2V6tHlpZDlj
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-FwYj3d7rW5CDGL1YKaWjsE
    prettyprinter-ansi-terminal-1.1.3-1s2VHIZttwUDNViMDO5lal
    random-1.2.1.2-4MvNAJNQIvxGHtrKNblxG1
    regex-tdfa-1.3.2.2-J4ofX6nqvlhJHKSDmvaDcK
    safe-exceptions-0.1.7.4-HWjZjqaKeCS6yeoIBCeCgK
    sorted-list-0.2.2.0-B4OKngF7YhoEUORq1LBeM5
    sqlite-simple-0.4.19.0-AqGOUwhml9hD4WSNOlaxLP stm-2.5.0.2
    stm-containers-1.2.1-Gr55dhDRBiD3yqFqdRXGmA
    syb-0.7.2.4-3hS53rZXvyRCGaWO0KMGhq text-1.2.5.0
    text-rope-0.2-EquskInIMoKBDTsDdpwDiD time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-5a5WvPoBW6EBfdyWO9zWFh
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-E4Tm9IvXwjlGK4H2DBnoSH
    vector-0.13.1.0-IsxGr1wjc8yHuZdiqe6rZF

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

